Subject: Re: bug#51809: 29.0.50; [PATCH] Support for outline default state in Diff buffers

From: Matthias Meulien <[email-masked]>
Date: Sun, 14 Nov 2021 20:54:02 +0100

Juri Linkov <[email-masked]> writes:

> Something strange happened recently with diff-mode and outline-minor-mode.
> I can't use this combination anymore.  While reading your patches, I'm trying
> to type TAB on the hunk header to hide already viewed hunks of your patch.
> But TAB does nothing now.  Do you see the same?  TAB is used to hide/show body
> when outline-minor-mode-cycle is t.

I just tested it: On hunk heading, TAB calls `diff-hunk-next'. On file
headings TAB cycle visibility. It's what I always observed. Looks crazy
but not buggy to my eyes.

-- 
Matthias